#include "mapview.h"
#include "viewfunction.h"

ViewFunction::ViewFunction(MapView *view) :
        myView(view)
{
}

ShowFunction::ShowFunction(MapView *view) :
        ViewFunction(view)
{}

void ShowFunction::b1(int ix, int iy) {
}

ZoomInFunction::ZoomInFunction(MapView *view) :
        ViewFunction(view)
{}

void ZoomInFunction::b1(int ix, int iy) {
    myView->zoomIn(ix, iy);
}

ZoomOutFunction::ZoomOutFunction(MapView *view) :
        ViewFunction(view)
{}

void ZoomOutFunction::b1(int ix, int iy) {
    myView->zoomOut(ix, iy);
}
