#ifndef VIEWFUNCTION_H
#define VIEWFUNCTION_H

class MapView;

class ViewFunction
{
protected:
    MapView *myView;

public:
    ViewFunction(MapView *view);
    virtual void b1(int ix, int iy) = 0;
};

class ShowFunction : public ViewFunction {
public:
    ShowFunction(MapView *view);
    void b1(int ix, int iy);
};

class ZoomInFunction : public ViewFunction {
public:
    ZoomInFunction(MapView *view);
    void b1(int ix, int iy);
};

class ZoomOutFunction : public ViewFunction {
public:
    ZoomOutFunction(MapView *view);
    void b1(int ix, int iy);
};

#endif // VIEWFUNCTION_H
